com.corticon.rulesemf.canonicalvocabularymodel

## Interface EntityExtension

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, NamedExtension, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface EntityExtension
      extends NamedExtension, ValidatableObject

  A representation of the model object 'Entity Extension'.

  The following features are supported:

  - `Datastore Persistent`
  - `Java Package`
  - `XML Namespace`
  - `XML Class Name`
  - `Java Class Name`
  - `Class Table`
  - `Datastore Caching`
  - `Datastore Identity Strategy`
  - `Datastore Identity Column`
  - `Datastore Identity Sequence`
  - `Datastore Identity Sequence Table Name`
  - `Datastore Identity Sequence Name Column Name`
  - `Datastore Identity Sequence Nextval Column Name`
  - `Version Strategy`
  - `Version Column`
  - `Identity Association Ends`
  - `Identity Attributes`
  See Also:
    `CanonicalvocabularymodelPackage.getEntityExtension()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyString` | `getClassTable()` Returns the value of the 'Class Table' containment reference
    `VocabularyBoolean` | `getDatastoreCaching()` Returns the value of the 'Datastore Caching' containment reference
    `VocabularyString` | `getDatastoreIdentityColumn()` Returns the value of the 'Datastore Identity Column' containment reference
    `VocabularyString` | `getDatastoreIdentitySequence()` Returns the value of the 'Datastore Identity Sequence' containment reference
    `VocabularyString` | `getDatastoreIdentitySequenceNameColumnName()` Returns the value of the 'Datastore Identity Sequence Name Column Name' containment reference
    `VocabularyString` | `getDatastoreIdentitySequenceNextvalColumnName()` Returns the value of the 'Datastore Identity Sequence Nextval Column Name' containment reference
    `VocabularyString` | `getDatastoreIdentitySequenceTableName()` Returns the value of the 'Datastore Identity Sequence Table Name' containment reference
    `VocabularyString` | `getDatastoreIdentityStrategy()` Returns the value of the 'Datastore Identity Strategy' containment reference
    `VocabularyBoolean` | `getDatastorePersistent()` Returns the value of the 'Datastore Persistent' containment reference
    `org.eclipse.emf.common.util.EList` | `getIdentityAssociationEnds()` Returns the value of the 'Identity Association Ends' reference list.
    `org.eclipse.emf.common.util.EList` | `getIdentityAttributes()` Returns the value of the 'Identity Attributes' reference list.
    `VocabularyString` | `getJavaClassName()` Returns the value of the 'Java Class Name' containment reference
    `VocabularyString` | `getJavaPackage()` Returns the value of the 'Java Package' containment reference
    `VocabularyString` | `getVersionColumn()` Returns the value of the 'Version Column' containment reference
    `VocabularyString` | `getVersionStrategy()` Returns the value of the 'Version Strategy' containment reference
    `VocabularyString` | `getXMLClassName()` Returns the value of the 'XML Class Name' containment reference
    `VocabularyString` | `getXMLNamespace()` Returns the value of the 'XML Namespace' containment reference
    `void` | `setClassTable(VocabularyString value)` Sets the value of the '`Class Table`' containment reference
    `void` | `setDatastoreCaching(VocabularyBoolean value)` Sets the value of the '`Datastore Caching`' containment reference
    `void` | `setDatastoreIdentityColumn(VocabularyString value)` Sets the value of the '`Datastore Identity Column`' containment reference
    `void` | `setDatastoreIdentitySequence(VocabularyString value)` Sets the value of the '`Datastore Identity Sequence`' containment reference
    `void` | `setDatastoreIdentitySequenceNameColumnName(VocabularyString value)` Sets the value of the '`Datastore Identity Sequence Name Column Name`' containment reference
    `void` | `setDatastoreIdentitySequenceNextvalColumnName(VocabularyString value)` Sets the value of the '`Datastore Identity Sequence Nextval Column Name`' containment reference
    `void` | `setDatastoreIdentitySequenceTableName(VocabularyString value)` Sets the value of the '`Datastore Identity Sequence Table Name`' containment reference
    `void` | `setDatastoreIdentityStrategy(VocabularyString value)` Sets the value of the '`Datastore Identity Strategy`' containment reference
    `void` | `setDatastorePersistent(VocabularyBoolean value)` Sets the value of the '`Datastore Persistent`' containment reference
    `void` | `setJavaClassName(VocabularyString value)` Sets the value of the '`Java Class Name`' containment reference
    `void` | `setJavaPackage(VocabularyString value)` Sets the value of the '`Java Package`' containment reference
    `void` | `setVersionColumn(VocabularyString value)` Sets the value of the '`Version Column`' containment reference
    `void` | `setVersionStrategy(VocabularyString value)` Sets the value of the '`Version Strategy`' containment reference
    `void` | `setXMLClassName(VocabularyString value)` Sets the value of the '`XML Class Name`' containment reference
    `void` | `setXMLNamespace(VocabularyString value)` Sets the value of the '`XML Namespace`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension

      `getGuid, getName, getSource, setGuid, setSource`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDatastorePersistent

          VocabularyBoolean getDatastorePersistent()

      Returns the value of the 'Datastore Persistent' containment reference.

      If the meaning of the 'Datastore Persistent' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Persistent' containment reference.
      See Also:
        `setDatastorePersistent(VocabularyBoolean)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastorePersistent()`

    - #### setDatastorePersistent

          void setDatastorePersistent(VocabularyBoolean value)

      Sets the value of the '`Datastore Persistent`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Persistent' containment reference.
      See Also:
        `getDatastorePersistent()`

    - #### getJavaPackage

          VocabularyString getJavaPackage()

      Returns the value of the 'Java Package' containment reference.

      If the meaning of the 'Java Package' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Package' containment reference.
      See Also:
        `setJavaPackage(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_JavaPackage()`

    - #### setJavaPackage

          void setJavaPackage(VocabularyString value)

      Sets the value of the '`Java Package`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Package' containment reference.
      See Also:
        `getJavaPackage()`

    - #### getXMLNamespace

          VocabularyString getXMLNamespace()

      Returns the value of the 'XML Namespace' containment reference.

      If the meaning of the 'XML Namespace' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'XML Namespace' containment reference.
      See Also:
        `setXMLNamespace(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_XMLNamespace()`

    - #### setXMLNamespace

          void setXMLNamespace(VocabularyString value)

      Sets the value of the '`XML Namespace`' containment reference.
      Parameters:
        `value` - the new value of the 'XML Namespace' containment reference.
      See Also:
        `getXMLNamespace()`

    - #### getXMLClassName

          VocabularyString getXMLClassName()

      Returns the value of the 'XML Class Name' containment reference.

      If the meaning of the 'XML Class Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'XML Class Name' containment reference.
      See Also:
        `setXMLClassName(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_XMLClassName()`

    - #### setXMLClassName

          void setXMLClassName(VocabularyString value)

      Sets the value of the '`XML Class Name`' containment reference.
      Parameters:
        `value` - the new value of the 'XML Class Name' containment reference.
      See Also:
        `getXMLClassName()`

    - #### getJavaClassName

          VocabularyString getJavaClassName()

      Returns the value of the 'Java Class Name' containment reference.

      If the meaning of the 'Java Class Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Class Name' containment reference.
      See Also:
        `setJavaClassName(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_JavaClassName()`

    - #### setJavaClassName

          void setJavaClassName(VocabularyString value)

      Sets the value of the '`Java Class Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Class Name' containment reference.
      See Also:
        `getJavaClassName()`

    - #### getClassTable

          VocabularyString getClassTable()

      Returns the value of the 'Class Table' containment reference.

      If the meaning of the 'Class Table' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Class Table' containment reference.
      See Also:
        `setClassTable(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_ClassTable()`

    - #### setClassTable

          void setClassTable(VocabularyString value)

      Sets the value of the '`Class Table`' containment reference.
      Parameters:
        `value` - the new value of the 'Class Table' containment reference.
      See Also:
        `getClassTable()`

    - #### getDatastoreCaching

          VocabularyBoolean getDatastoreCaching()

      Returns the value of the 'Datastore Caching' containment reference.

      If the meaning of the 'Datastore Caching' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Caching' containment reference.
      See Also:
        `setDatastoreCaching(VocabularyBoolean)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreCaching()`

    - #### setDatastoreCaching

          void setDatastoreCaching(VocabularyBoolean value)

      Sets the value of the '`Datastore Caching`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Caching' containment reference.
      See Also:
        `getDatastoreCaching()`

    - #### getDatastoreIdentityStrategy

          VocabularyString getDatastoreIdentityStrategy()

      Returns the value of the 'Datastore Identity Strategy' containment reference.

      If the meaning of the 'Datastore Identity Strategy' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Strategy' containment reference.
      See Also:
        `setDatastoreIdentityStrategy(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentityStrategy()`

    - #### setDatastoreIdentityStrategy

          void setDatastoreIdentityStrategy(VocabularyString value)

      Sets the value of the '`Datastore Identity Strategy`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Strategy' containment reference.
      See Also:
        `getDatastoreIdentityStrategy()`

    - #### getDatastoreIdentityColumn

          VocabularyString getDatastoreIdentityColumn()

      Returns the value of the 'Datastore Identity Column' containment reference.

      If the meaning of the 'Datastore Identity Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Column' containment reference.
      See Also:
        `setDatastoreIdentityColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentityColumn()`

    - #### setDatastoreIdentityColumn

          void setDatastoreIdentityColumn(VocabularyString value)

      Sets the value of the '`Datastore Identity Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Column' containment reference.
      See Also:
        `getDatastoreIdentityColumn()`

    - #### getDatastoreIdentitySequence

          VocabularyString getDatastoreIdentitySequence()

      Returns the value of the 'Datastore Identity Sequence' containment reference.

      If the meaning of the 'Datastore Identity Sequence' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Sequence' containment reference.
      See Also:
        `setDatastoreIdentitySequence(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentitySequence()`

    - #### setDatastoreIdentitySequence

          void setDatastoreIdentitySequence(VocabularyString value)

      Sets the value of the '`Datastore Identity Sequence`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Sequence' containment reference.
      See Also:
        `getDatastoreIdentitySequence()`

    - #### getDatastoreIdentitySequenceTableName

          VocabularyString getDatastoreIdentitySequenceTableName()

      Returns the value of the 'Datastore Identity Sequence Table Name' containment reference.

      If the meaning of the 'Datastore Identity Sequence Table Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Sequence Table Name' containment reference.
      See Also:
        `setDatastoreIdentitySequenceTableName(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentitySequenceTableName()`

    - #### setDatastoreIdentitySequenceTableName

          void setDatastoreIdentitySequenceTableName(VocabularyString value)

      Sets the value of the '`Datastore Identity Sequence Table Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Sequence Table Name' containment reference.
      See Also:
        `getDatastoreIdentitySequenceTableName()`

    - #### getDatastoreIdentitySequenceNameColumnName

          VocabularyString getDatastoreIdentitySequenceNameColumnName()

      Returns the value of the 'Datastore Identity Sequence Name Column Name' containment reference.

      If the meaning of the 'Datastore Identity Sequence Name Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Sequence Name Column Name' containment reference.
      See Also:
        `setDatastoreIdentitySequenceNameColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentitySequenceNameColumnName()`

    - #### setDatastoreIdentitySequenceNameColumnName

          void setDatastoreIdentitySequenceNameColumnName(VocabularyString value)

      Sets the value of the '`Datastore Identity Sequence Name Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Sequence Name Column Name' containment reference.
      See Also:
        `getDatastoreIdentitySequenceNameColumnName()`

    - #### getDatastoreIdentitySequenceNextvalColumnName

          VocabularyString getDatastoreIdentitySequenceNextvalColumnName()

      Returns the value of the 'Datastore Identity Sequence Nextval Column Name' containment reference.

      If the meaning of the 'Datastore Identity Sequence Nextval Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datastore Identity Sequence Nextval Column Name' containment reference.
      See Also:
        `setDatastoreIdentitySequenceNextvalColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_DatastoreIdentitySequenceNextvalColumnName()`

    - #### setDatastoreIdentitySequenceNextvalColumnName

          void setDatastoreIdentitySequenceNextvalColumnName(VocabularyString value)

      Sets the value of the '`Datastore Identity Sequence Nextval Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Datastore Identity Sequence Nextval Column Name' containment reference.
      See Also:
        `getDatastoreIdentitySequenceNextvalColumnName()`

    - #### getVersionStrategy

          VocabularyString getVersionStrategy()

      Returns the value of the 'Version Strategy' containment reference.

      If the meaning of the 'Version Strategy' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version Strategy' containment reference.
      See Also:
        `setVersionStrategy(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_VersionStrategy()`

    - #### setVersionStrategy

          void setVersionStrategy(VocabularyString value)

      Sets the value of the '`Version Strategy`' containment reference.
      Parameters:
        `value` - the new value of the 'Version Strategy' containment reference.
      See Also:
        `getVersionStrategy()`

    - #### getVersionColumn

          VocabularyString getVersionColumn()

      Returns the value of the 'Version Column' containment reference.

      If the meaning of the 'Version Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version Column' containment reference.
      See Also:
        `setVersionColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getEntityExtension_VersionColumn()`

    - #### setVersionColumn

          void setVersionColumn(VocabularyString value)

      Sets the value of the '`Version Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Version Column' containment reference.
      See Also:
        `getVersionColumn()`

    - #### getIdentityAssociationEnds

          org.eclipse.emf.common.util.EList getIdentityAssociationEnds()

      Returns the value of the 'Identity Association Ends' reference list. The list contents are of type `AssociationEndExtension`. It is bidirectional and its opposite is '`Identity Entity`'.

      If the meaning of the 'Identity Association Ends' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Identity Association Ends' reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getEntityExtension_IdentityAssociationEnds()`, `AssociationEndExtension.getIdentityEntity()`

    - #### getIdentityAttributes

          org.eclipse.emf.common.util.EList getIdentityAttributes()

      Returns the value of the 'Identity Attributes' reference list. The list contents are of type `AttributeExtension`. It is bidirectional and its opposite is '`Identity Entity`'.

      If the meaning of the 'Identity Attributes' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Identity Attributes' reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getEntityExtension_IdentityAttributes()`, `AttributeExtension.getIdentityEntity()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.